import React, { Component, PropTypes } from 'react'
import { VelocityComponent } from 'velocity-react'
import Subsection from './nav-panel-bottom-subsection'

export default class NavPanelBottom extends Component {
  constructor (props) {
    super(props)

    this.animation = {
      active: { opacity: 1 },
      inactive: { opacity: 0 }
    }
  }

  render () {
    const { isMobile, isOpen, activeSection } = this.props

    return (
      <div className='nav-panel-bottom'>
        { this.props.sections.map((section, i) =>
          <div
            key={ i }
            style={{ width: 'inherit' }}
            className={ !(isMobile && isOpen) && activeSection !== i
              ? 'nav-panel-bottom__section--inactive'
              : '' }>
            <VelocityComponent
              animation={ (isMobile && isOpen) || activeSection === i
                ? this.animation.active
                : this.animation.inactive
              }
              duration='300'
              delay={ activeSection !== i ? 100 : 0 }>
              <Subsection
                count={ i }
                midSection={ this.props.midSections[i] }
                { ...section } />
            </VelocityComponent>
          </div>
        ) }
      </div>
    )
  }
}

const { number, bool, string, array } = PropTypes

NavPanelBottom.propTypes = {
  activeSection: number,
  isOpen: bool.isRequired,
  isMobile: bool.isRequired,
  environment: string,
  sections: array,
  midSections: array
}

NavPanelBottom.defaultProps = {
  environment: 'com'
}
